	SUBROUTINE fftdestroy(PLAN1X, PLAN1Y, PLAN2X, PLAN2Y )
	!---------------------------------------------------------------------------------------------
	! .. PURPOSE ..
	!	fftdestroy destroys PLAN1X, PLAN2X, PLAN1Y, PLAN2Y,
	!	data structures containing all the information that 
	!	fftw needs in order to compute the 1D Fourier transform, forward and backward,
	!	in x and y directions, respectively
	!
	! .. SPECIFICATION ..
	!
	!	fftdestroy(PLAN1X, PLAN1Y, PLAN2X, PLAN2Y )
	!	INTEGER(kind=8)	PLAN2X, PLAN2Y, PLAN1X, PLAN1Y
	!
	! .. INPUT ..
	! PLAN2X	= Backward fft in X direction
	! PLAN2Y	= Backward fft in Y direction
	! PLAN1X	= Forward fft in X direction
	! PLAN1Y	= Forward fft in Y direction
	!
	! REFERENCES
	!
	! ACCURACY
	!		
	! ERROR INDICATORS AND WARNINGS
	!
	! FURTHER COMMENTS
	!----------------------------------------------------------------------------------------------
	! EXTERNAL ROUTINES REQUIRED
	! FFTW3
	!----------------------------------------------------------------------------------------------

	! .. Scalar arguments ..
	INTEGER(KIND=8), INTENT(INOUT) 	::  PLAN1X, PLAN1Y, PLAN2X, PLAN2Y
	! .. Executable statements ..	
	CONTINUE

	! destroy fft plans
	CALL dfftw_destroy_plan(PLAN1X)
	CALL dfftw_destroy_plan(PLAN2X)
	CALL dfftw_destroy_plan(PLAN1Y)
	CALL dfftw_destroy_plan(PLAN2Y)

	END SUBROUTINE fftdestroy
