% A program to create a video of the computed results

clear all; format compact, format short,
set(0,'defaultaxesfontsize',14,'defaultaxeslinewidth',.7,...
    'defaultlinelinewidth',2,'defaultpatchlinewidth',3.5);

TIME=load('./data1c/Time.dat');
nplots=length(TIME);
% Get coordinates and Fourier frequencies
X=load('./data1c/X.dat');
Y=load('./data1c/Y.dat');
KX=load('./data1c/KX.dat');
KY=load('./data1c/KY.dat');
Nx=length(X);
Ny=length(Y);
minx=Nx/2 - ceil(1*Nx/max(X));
maxx=1+Nx/2 + ceil(1*Nx/max(X));
miny=Ny/2 - ceil(1*Ny/max(Y));
maxy=1+Ny/2 + ceil(1*Ny/max(Y));

% reshape coordinates to allow easy plotting
[xx,yy]=ndgrid(X,Y);
[kxx,kyy]=ndgrid(KX,KY);
%aviobj =avifile('DS.avi','fps',10); 
for i =1:nplots
	%  opens the file nomfile for read access, and returns an integer file identifier
	FILEU=['./data1c/u',num2str(9999999+i),'.datbin'];
    FILEV=['./data1c/v',num2str(9999999+i),'.datbin'];
    FILEPIC=['./data1c/pic',num2str(9999999+i),'.jpg'];
    fidu=fopen(FILEU,'r');
    fidv=fopen(FILEV,'r');
    %  reads data from a binary file into column vector u/v
    u=fread(fidu,Nx*Ny,'real*8');
    v=fread(fidv,Nx*Ny,'real*8');

    % close files
    fclose(fidu);
    fclose(fidv);

	%  Reconstruction of datas in matrix formats
 	u=reshape(u,Nx, Ny);
 	v=reshape(v,Nx,Ny);
 
    % Plot data on the screen.
    figure(2);clf; 
    subplot(2,1,1); mesh(xx(minx:maxx,miny:maxy),yy(minx:maxx,miny:maxy),u(minx:maxx,miny:maxy)); 
    title(['abs(u)^2 at time ',num2str(TIME(i))]); colorbar; axis square; axis tight;
    xlabel x; ylabel y;
    subplot(2,1,2); mesh(kxx,kyy,v); 
    title(['Fourier Coefficients Behavior ']); colorbar; axis square; axis tight;
    xlabel kx; ylabel ky; drawnow; 
    saveas(2,FILEPIC,'jpg');
    %frame=getframe(2); aviobj=addframe(aviobj,frame);
end
% Close movie files
%aviobj=close(aviobj); 
