	SUBROUTINE fftdestroy(PLANX, PLANY )
	!---------------------------------------------------------------------------------------------
	! .. PURPOSE ..
	!	fftdestroy destroys PLANX, PLANY
	!	data structures containing all the information that 
	!	fftw needs in order to compute the 1D Fourier transform, forward and backward,
	!	in x and y directions, respectively
	!
	! .. SPECIFICATION ..
	!
	!	fftdestroy(PLANX, PLANY )
	!	INTEGER(kind=4)	PLANX, PLANY
	!
	! .. INPUT ..
	! PLANX	= fft in X direction
	! PLANY	= fft in Y direction
	!
	! REFERENCES
	!
	! ACCURACY
	!		
	! ERROR INDICATORS AND WARNINGS
	!
	! FURTHER COMMENTS
	!----------------------------------------------------------------------------------------------
	! EXTERNAL ROUTINES REQUIRED
	! FFTW3
	!----------------------------------------------------------------------------------------------
    USE precision
    USE cufft

	! .. Scalar arguments ..
	INTEGER(KIND=4), INTENT(INOUT) 	::  PLANX, PLANY
	! .. Executable statements ..	
	CONTINUE

	! destroy fft plans

	CALL cufftDestroy(PLANX)
	CALL cufftDestroy(PLANY)
	END SUBROUTINE fftdestroy
